<template>
    <div v-if="isLoading" class="flex flex-center">
        <q-spinner-clock color="primary" size="32px"></q-spinner-clock>
        <span>&nbsp;&nbsp;Carregando informações de funcionanmento...</span>
    </div>
    <q-select v-else :style="{ width: '100%' }" options-html dense borderless v-model="optionSelected" :options="options"/>
</template>

<script setup>
import {onMounted, ref} from "vue";
import api from "../axios/api";

const optionSelected = '<p class="q-ma-none text-bold text-uppercase">Horários de funcionamento</p>';
const options = ref([]);
const isLoading = ref(false);
async function loadStatusSchedules () {
    isLoading.value = true;
    const result = await api.get('/api/' + 'service/schedules').catch(error => error).finally(() => isLoading.value = false)
    for(const horario of Object.entries(result.data)) {
        if (horario[1][0]?.status) {
            options.value.push({ value: '', label: `<div class="flex justify-between text-bold"><p class="q-ma-none">${horario[1][0].dia}</p><p class="q-ma-none text-negative">${horario[1][0].status}</p></div>` })
        } else {
            options.value.push({ value: '', label: `<div class="flex justify-between text-bold"><p class="q-ma-none">${horario[1][0].dia}</p><p class="q-ma-none">${horario[1][0].horario_inicial} às ${horario[1][0].horario_final}</p></div>` })
        }
    }
}

onMounted(() => {
    loadStatusSchedules();
})
</script>
